Skip to main content
GET
/
api
/
v1
/
functions
/
{function_id}
/
commits
/
{id}
GetCommitContent
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.Functions.GetCommitContent(ctx, operations.C1APIFunctionsV1FunctionsServiceGetCommitContentRequest{
        FunctionID: "<id>",
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.FunctionsServiceGetCommitContentResponse != nil {
        // handle response
    }
}
{
  "commit": {
    "author": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "functionId": "<string>",
    "id": "<string>",
    "message": "<string>"
  },
  "files": {}
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

function_id
string
required

The function ID (KSUID).

id
string
required

The commit reference to retrieve. Accepts a KSUID, "HEAD", or a tag reference like "refs/tags/v1.0".

Response

200 - application/json

FunctionsServiceGetCommitContentResponse contains a commit and all its file contents.

FunctionsServiceGetCommitContentResponse contains a commit and all its file contents.

commit
Function Commit · object

FunctionCommit represents a single commit in a function's history

files
object

Map of filename to file content bytes.